Bug 218057 - man page --initdb description misleading
man page --initdb description misleading
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 11:30 EST by Tony Nelson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 15:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Nelson 2006-12-01 11:30:50 EST
Description of problem:
RPM's man page info on --initdb implies that any existing RPM database will be
replaced by a new, empty database.  Possibly this used to be the effect, but
currently --initdb only ensures that an RPM database is present (in fact, just
the Packages file), and doesn't do anything if the database already exists. 
Therefore it is safe and unnecessary to do an --initdb at any time, such as just
before a --rebuilddb.

The man page section on --initdb could say:

"Use --initdb to ensure that the database exists, without changing any existing
database; use --rebuilddb to rebuild the database indices from the installed
package headers in the Packages file."

Version-Release number of selected component (if applicable):
rpm-4.4.2-32.i386

How reproducible:


Steps to Reproduce:
1. man rpm
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2007-08-09 15:04:06 EDT
--initdb meaning clarified in rpm.org manual now.

Note You need to log in before you can comment on or make changes to this bug.